package main.java.model;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.NotEmpty;

public class Account {
	private int id;
	@Size(min = 3, max = 10)
	private String username;
	@Size(min = 8, max = 16)
	private String password;
	@NotNull
	@NotEmpty
	@Email
	private String email;

	private List<Circulation> circulation = new ArrayList<Circulation>();

	public int getId() {
		return id;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void addCirculation(Circulation circulation) {
		this.circulation.add(circulation);
	}

	public List<Book> getBooks() {
		return circulation.stream().map((circulation) -> circulation.getBook()).collect(Collectors.toList());
	}

	public boolean hasCirculations() {
		return !this.circulation.isEmpty();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Account other = (Account) obj;
		if (id != other.id)
			return false;
		return true;
	}

}
