package main.java.model;

import java.util.ArrayList;
import java.util.List;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.NotEmpty;

public class Book {
	@NotNull
	@NotEmpty
	private String isbn;
	@Size(min = 3, max = 30)
	private String title;
	@Size(min = 0, max = 200)
	private String description;
	private int stock;

	private List<Circulation> circulation = new ArrayList<Circulation>();

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getStock() {
		return stock;
	}

	public void setStock(int stock) {
		this.stock = stock;
	}

	public void addCirculation(Circulation circulation) {
		this.circulation.add(circulation);
	}

	public boolean hasCirculations() {
		return !this.circulation.isEmpty();
	}

	public String getCssClass() {
		if (this.stock >= 8) {
			return "green";
		}
		if (this.stock < 8 && this.stock > 0) {
			return "yellow";
		}
		return "red";
	}
}
