package main.java.model;

import java.time.Instant;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.time.format.DateTimeFormatterBuilder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Locale;

public class Circulation {
	private Book book;
	private Account account;
	private Instant lendDate;
	private Instant returnDate;

	private final DateTimeFormatter formatter = new DateTimeFormatterBuilder().appendPattern("dd.MM.yyyy").toFormatter()
			.withLocale(Locale.GERMAN).withZone(ZoneId.systemDefault());

	public Book getBook() {
		return book;
	}

	public void setBook(Book book) {
		this.book = book;
	}

	public Account getAccount() {
		return account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public Instant getLendDate() {
		return lendDate;
	}

	public void setLendDate(Instant lendDate) {
		this.lendDate = lendDate;
	}

	public Instant getReturnDate() {
		return returnDate;
	}

	public void setReturnDate(Instant returnDate) {
		this.returnDate = returnDate;
	}

	public String getReturnDateFormatted() {
		Collections.sort(new ArrayList<Account>(), (x, y) -> returnDate.compareTo(lendDate)); 
		return formatter.format(this.returnDate);
	}

	public String getLendDateFormatted() {
		return formatter.format(this.lendDate);
	}

	public Circulation() {

	}
}
