<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<t:layoutWrapper>
	<c:if test="${fn:length(accountList) > 0}">
		<table class="content_table">
			<thead>
				<tr>
					<th>Name</th>
					<th>E-mail</th>
					<th class="edit_column"></th>
					<th class="delete_column"></th>
				</tr>
			</thead>
			<c:forEach var="account" items="${accountList}">
				<tr>
					<td>${account.username}</td>
					<td>${account.email}</td>
					<td><a href="account/edit/${account.id}/"><img
							title="Benutzer editieren" src="resources/image/edit-icon.png" /></a>
					</td>
					<td><a href="account/delete/${account.id}/"><img
							title="Benutzer löschen" src="resources/image/delete-icon.png" /></a>
					</td>
				</tr>
				<c:forEach varStatus="loop" var="book" items="${account.getBooks()}">
					<tr>
						<td class="${!loop.last ? 'empty-cell' : 'empty-cell-last'}"></td>
						<td class="account_book_td" colspan="4">
							<table class="content_table">
								<thead>
									<tr>
										<th class="first_column">ISBN</th>
										<th>Buchtitel</th>
										<th></th>
									</tr>
								</thead>
								<tr>
									<td>${book.isbn}</td>
									<td>${book.title}</td>
									<td width="1em"><a
										href="circulation/return/${book.isbn}/${account.id}/"><img
											title="Buch zurückgeben" class="edit_book_image"
											src="resources/image/shopping-basket-remove-icon.png" /></a></td>
								</tr>
							</table>
						</td>
					</tr>
				</c:forEach>
			</c:forEach>
		</table>
	</c:if>
	<div class="action_div">
		<a href="account/add/"> Benutzer hinzufügen </a>
	</div>
	<div style="clear: both"></div>
</t:layoutWrapper>